mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

A context is an ordered sequence of properties that define an environment for the objects resident inside it. Contexts get created during the activation process for objects that are configured to require certain automatic services, such as synchronization, transactions, just-in-time activation, security, and so on. Multiple objects can live inside a context.

Classes are marked with an instance of the class, which provides the usage rules. Whenever a new object is instantiated, the .NET Framework finds a compatible or creates a new instance of the class for the object. Once an object is placed in a context, it stays in it for life. Classes that can be bound to a context are called context-bound classes. When accessed from another context, such classes are referenced directly by using a proxy. Any call from an object in one context to an object in another context will go through a context proxy and be affected by the policy that the combined context properties enforce.

A new object's context is generally chosen based on meta-data attributes on the class. This mechanism is extensible through custom attributes. These are known as static-context properties, which are compiled into the class meta-data. Dynamic-context properties (also known as configuration properties) can be applied and configured by administrators.

For more information on contexts, see [<topic://cpconboundariesprocessesapplicationdomainscontexts>].

Defines an environment for the objects that are resident inside it and for which a policy can be enforced.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.LocalDataStoreSlot

  The slot is allocated on all the contexts.

  Allocates an unnamed data slot.

  A local data slot.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.LocalDataStoreSlot ``

  The slot is allocated on all the contexts. Named data slots are public and can be manipulated by anyone.

  Allocates a named data slot.

  A local data slot object.

  The required name for the data slot.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the context ID for the current context.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Contexts.IContextProperty[] To be added: an object of type 'IContextProperty []' To be added

  Gets the array of the current context properties.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Contexts.Context To be added: an object of type 'Context'

  Every thread in an application domain for which a context is not explicitly set is considered to be running in the default context.

  Gets the default context for the current application domain.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  A callback can be done by calling the method on it by passing in a delegate. The delegate is used to request a callback. The delegate must be a class type.

  Executes code in another context.

  The delegate used to request the callback.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  For default contexts, backing objects are cleaned up during shut down of the class.

  Cleans up the backing objects for the nondefault contexts.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Named data slots are public and can be manipulated by anyone.

  Frees a named data slot on all the contexts.

  The name of the data slot to free.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Context properties cannot be added after the context has been frozen.

  Freezes the context, making it impossible to add or remove context properties from the current context.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Retrieves the value from the specified slot on the current context.

  Returns the data associated with .

  The data slot that contains the data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.LocalDataStoreSlot ``

  If the name has not been used, a new slot is allocated. Named data slots are public and can be manipulated by anyone.

  Looks up a named data slot.

  Returns a local data slot.

  The data slot name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Contexts.IContextProperty `` To be added

  Returns a specific context property, specified by name.

  The specified context property.

  The name of the property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  Based on and , is asked to contribute a sink that is placed at some location in the path of remoting calls. If multiple properties are registered, their sinks will be called in an arbitrary order that can change between calls.

  If is not null, and then if it is a proxy, all calls made on the proxy are intercepted. Otherwise, if is a real object, all calls on the object are intercepted. The parameter must be null.

  If is not null, must be null and all calls entering and leaving the context are intercepted.

  If both and are null, all calls entering and leaving all contexts are intercepted.

  Registers a dynamic property implementing the interface with the remoting service.

  true if the property was successfully registered; otherwise, false.

  The dynamic property to register. The object/proxy for which the is registered. The context for which the is registered.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Sets the data in the specified slot on the current context.

  The data slot where the data is to be added. The data that is to be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Adding properties to the default context is not allowed.

  Sets a specific context property by name.

  The actual context property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a class representation of the current context.

  A class representation of the current context.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added

  Unregisters a dynamic property implementing the interface.

  true if the object was successfully unregistered; otherwise, false.

  The name of the dynamic property to unregister. The object/proxy for which the is registered. The context for which the is registered.